Jump to content
Sign in to follow this  
Ghostbane

Launcher stuck at v1.9.9

Recommended Posts

I can't get my launcher to update to the newest  version.   I've downloaded and re-installed.  done the check for update... reset updates and tried updating again.  No matter what I do It won't go to v2+.


I'm not really having any issues except I want the mouse unlock setting, which doesn't show up on my version.   I'm not getting any error messages as far as I can tell, I just click update and nothing happens.  tried running as administrator and same result.

Share this post


Link to post
Share on other sites

This is probably part of the issue.  when I uninstall the launcher and try to do a fresh install, I get this error during the update proccess:
 

Spoiler

See the end of this message for details on invoking 
just-in-time (JIT) debugging instead of this dialog box.

************** Exception Text **************
System.ArgumentOutOfRangeException: InvalidArgument=Value of '5' is not valid for 'index'.
Parameter name: index
   at System.Windows.Forms.ListViewItem.ListViewSubItemCollection.get_Item(Int32 index)
   at LaunchNet7.FormUpdateReport.DoDisplayUpdateReport()
   at System.Windows.Forms.Form.OnLoad(EventArgs e)
   at System.Windows.Forms.Control.CreateControl(Boolean fIgnoreVisible)
   at System.Windows.Forms.Control.CreateControl()
   at System.Windows.Forms.Control.WmShowWindow(Message& m)
   at System.Windows.Forms.Control.WndProc(Message& m)
   at System.Windows.Forms.Control.ControlNativeWindow.WndProc(Message& m)
   at System.Windows.Forms.NativeWindow.Callback(IntPtr hWnd, Int32 msg, IntPtr wparam, IntPtr lparam)


************** Loaded Assemblies **************
mscorlib
    Assembly Version: 2.0.0.0
    Win32 Version: 2.0.50727.9043 (WinRelRS5.050727-9000)
    CodeBase: file:///C:/Windows/Microsoft.NET/Framework64/v2.0.50727/mscorlib.dll
----------------------------------------
LaunchNet7
    Assembly Version: 1.9.9.10
    Win32 Version: 1.9.9.10
    CodeBase: file:///C:/Program%20Files%20(x86)/Net-7/bin/LaunchNet7.exe
----------------------------------------
System.Windows.Forms
    Assembly Version: 2.0.0.0
    Win32 Version: 2.0.50727.9038 (WinRelRS5.050727-9000)
    CodeBase: file:///C:/WINDOWS/assembly/GAC_MSIL/System.Windows.Forms/2.0.0.0__b77a5c561934e089/System.Windows.Forms.dll
----------------------------------------
System
    Assembly Version: 2.0.0.0
    Win32 Version: 2.0.50727.9042 (WinRelRS5.050727-9000)
    CodeBase: file:///C:/WINDOWS/assembly/GAC_MSIL/System/2.0.0.0__b77a5c561934e089/System.dll
----------------------------------------
System.Drawing
    Assembly Version: 2.0.0.0
    Win32 Version: 2.0.50727.9031 (WinRelRS5.050727-9000)
    CodeBase: file:///C:/WINDOWS/assembly/GAC_MSIL/System.Drawing/2.0.0.0__b03f5f7f11d50a3a/System.Drawing.dll
----------------------------------------
System.Configuration
    Assembly Version: 2.0.0.0
    Win32 Version: 2.0.50727.9031 (WinRelRS5.050727-9000)
    CodeBase: file:///C:/WINDOWS/assembly/GAC_MSIL/System.Configuration/2.0.0.0__b03f5f7f11d50a3a/System.Configuration.dll
----------------------------------------
System.Xml
    Assembly Version: 2.0.0.0
    Win32 Version: 2.0.50727.9031 (WinRelRS5.050727-9000)
    CodeBase: file:///C:/WINDOWS/assembly/GAC_MSIL/System.Xml/2.0.0.0__b77a5c561934e089/System.Xml.dll
----------------------------------------
Accessibility
    Assembly Version: 2.0.0.0
    Win32 Version: 2.0.50727.9031 (WinRelRS5.050727-9000)
    CodeBase: file:///C:/WINDOWS/assembly/GAC_MSIL/Accessibility/2.0.0.0__b03f5f7f11d50a3a/Accessibility.dll
----------------------------------------

************** JIT Debugging **************
To enable just-in-time (JIT) debugging, the .config file for this
application or computer (machine.config) must have the
jitDebugging value set in the system.windows.forms section.
The application must also be compiled with debugging
enabled.

For example:

<configuration>
    <system.windows.forms jitDebugging="true" />
</configuration>

When JIT debugging is enabled, any unhandled exception
will be sent to the JIT debugger registered on the computer
rather than be handled by this dialog box.

 

Somehow I've completely hosed my installation now.  I'm getting an error that the net7proxy.exe is an incompatable version.  Not sure how this was working before but isn't now.  

Share this post


Link to post
Share on other sites

Anyone?  Even a .zip with someone else's updated LaunchNet7.exe would probably work.

edit. I somehow managed to fix my net7proxy.exe issue,  but the launcher still won't update past v1.9.9.

Share this post


Link to post
Share on other sites

Well, I guess I won't know if that works or not.   Gets deleted by my AV as soon as i download it.  not sure why it doesn't like it but the normal one is okay.   Maybe that's why It won't upgrade... it deletes the new version as soon as it tries to install it.

Share this post


Link to post
Share on other sites

Yep that was exactly it.  I rebooted to safemode and it updated the launcher just fine.  As soon as I restarted and the AV ran it ate the updated launcher.
Not sure whats different between the versions that the AV is fine with v1.9.9 and not v2+.  

But I can't turn the AV off since this is a company owned computer.    Is there any other way I can disable the mouse lock?

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
Sign in to follow this  

×
×
  • Create New...